petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCHPDDMSetCoarseCorrectionType

Sets the coarse correction type.

### Synopsis

    PetscErrorCode PCHPDDMSetCoarseCorrectionType(PC pc, PCHPDDMCoarseCorrectionType type)

### Input Parameters

| pc | - preconditioner context
| type | - PC_HPDDM_COARSE_CORRECTION_DEFLATED, PC_HPDDM_COARSE_CORRECTION_ADDITIVE, or PC_HPDDM_COARSE_CORRECTION_BALANCED

### Options Database Key

-pc_hpddm_coarse_correction <deflated, additive, balanced> -type of coarse correction to apply

### See Also

PCHPDDMGetCoarseCorrectionType(), PCHPDDM, PCHPDDMCoarseCorrectionType

### Level

intermediate

### Location

src/ksp/pc/impls/hpddm/hpddm.cxx

### Implementations

PCHPDDMSetCoarseCorrectionType_HPDDM in src/ksp/pc/impls/hpddm/hpddm.cxx
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages